



#ifndef XANIMPARTTRANSFRAMES_H
#define XANIMPARTTRANSFRAMES_H

#include "xasset.h"
#include "xanimdynamicframes.h"
#include "xanimdynamicindices.h"

class XAnimPartTransFrames : public XAsset
{
public:
    explicit XAnimPartTransFrames();

    void ParseData(QDataStream *aStream) override;

    const float* GetMins() const;
    void SetMins(const float* mins, size_t count = 3);

    const float* GetSize() const;
    void SetSize(const float* size, size_t count = 3);

    XAnimDynamicFrames& GetFrames();
    const XAnimDynamicFrames& GetFrames() const;
    void SetFrames(const XAnimDynamicFrames& frames);

    XAnimDynamicIndices& GetIndices();
    const XAnimDynamicIndices& GetIndices() const;
    void SetIndices(const XAnimDynamicIndices& indices);

private:
    float mMins[3] = {0.0f, 0.0f, 0.0f};
    float mSize[3] = {0.0f, 0.0f, 0.0f};
    XAnimDynamicFrames mFrames;
    XAnimDynamicIndices mIndices;
};

#endif // XANIMPARTTRANSFRAMES_H



